Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.server.rest.repr.formats
Class MapWrappingWriter

    java.lang.Object
      org.neo4j.server.rest.repr.MappingWriter
          org.neo4j.server.rest.repr.formats.MapWrappingWriter

    public class MapWrappingWriter

extends MappingWriter

Constructor Summary
`MapWrappingWriter(Map<String,Object> data)`
`MapWrappingWriter(Map<String,Object> data, boolean interactive)`

Method Summary
`protected void` | `done()`
`protected boolean` | `isInteractive()`
`protected ListWriter` | `newList(String type, String key)`
`protected MappingWriter` | `newMapping(String type, String key)`
`protected void` | `writeValue(String type, String key, Object value)`

Methods inherited from class org.neo4j.server.rest.repr.MappingWriter
`writeBoolean, writeFloatingPointNumber, writeInteger, writeString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapWrappingWriter

    public MapWrappingWriter(Map<String,Object> data)

### MapWrappingWriter

    public MapWrappingWriter(Map<String,Object> data,
                             boolean interactive)

Method Detail

### isInteractive

    protected final boolean isInteractive()

  Overrides:
    `isInteractive` in class `MappingWriter`

### newList

    protected ListWriter newList(String type,
                                 String key)

  Specified by:
    `newList` in class `MappingWriter`

### newMapping

    protected MappingWriter newMapping(String type,
                                       String key)

  Specified by:
    `newMapping` in class `MappingWriter`

### writeValue

    protected void writeValue(String type,
                              String key,
                              Object value)

  Specified by:
    `writeValue` in class `MappingWriter`

### done

    protected void done()

  Specified by:
    `done` in class `MappingWriter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.